<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>POIXMLPropertiesTextExtractor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="POIXMLPropertiesTextExtractor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIXMLPropertiesTextExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html"
               title="class in org.apache.poi.ooxml.extractor"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
               title="class in org.apache.poi.ooxml.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="POIXMLPropertiesTextExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ooxml.extractor</div>
    <h2 title="Class POIXMLPropertiesTextExtractor" class="title">Class POIXMLPropertiesTextExtractor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                       title="class in org.apache.poi.extractor">org.apache.poi.extractor.POITextExtractor</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                               title="class in org.apache.poi.ooxml.extractor">org.apache.poi.ooxml.extractor.POIXMLTextExtractor</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.ooxml.extractor.POIXMLPropertiesTextExtractor</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">POIXMLPropertiesTextExtractor</span>
extends <a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
           title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a></pre>
                <div class="block">A <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor"><code>POITextExtractor</code></a> for
                    returning the textual
                    content of the OOXML file properties, eg author
                    and title.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html#POIXMLPropertiesTextExtractor-org.apache.poi.ooxml.POIXMLDocument-">POIXMLPropertiesTextExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocument.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocument</a>&nbsp;doc)</code>
                                    <div class="block">Creates a new POIXMLPropertiesTextExtractor for the given open
                                        document.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html#POIXMLPropertiesTextExtractor-org.apache.poi.ooxml.extractor.POIXMLTextExtractor-">POIXMLPropertiesTextExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                        title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a>&nbsp;otherExtractor)</code>
                                    <div class="block">Creates a new POIXMLPropertiesTextExtractor, for the
                                        same file that another TextExtractor is already
                                        working on.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html#getCorePropertiesText--">getCorePropertiesText</a></span>()</code>
                                    <div class="block">Returns the core document properties, eg author</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html#getCustomPropertiesText--">getCustomPropertiesText</a></span>()</code>
                                    <div class="block">Returns the custom document properties, if there are any</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html#getExtendedPropertiesText--">getExtendedPropertiesText</a></span>()</code>
                                    <div class="block">Returns the extended document properties, eg application</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html"
                                        title="class in org.apache.poi.ooxml.extractor">POIXMLPropertiesTextExtractor</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></span>()</code>
                                    <div class="block">Returns an OOXML properties text extractor for the
                                        document properties metadata, such as title and author.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html#getText--">getText</a></span>()</code>
                                    <div class="block">Retrieves all the text from the document.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.extractor.POIXMLTextExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.extractor.<a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                        title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#checkMaxTextSize-java.lang.CharSequence-java.lang.String-">checkMaxTextSize</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#close--">close</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getCoreProperties--">getCoreProperties</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getCustomProperties--">getCustomProperties</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getDocument--">getDocument</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getExtendedProperties--">getExtendedProperties</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getPackage--">getPackage</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.extractor.POITextExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.extractor.<a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html#setFilesystem-java.io.Closeable-">setFilesystem</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="POIXMLPropertiesTextExtractor-org.apache.poi.ooxml.POIXMLDocument-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>POIXMLPropertiesTextExtractor</h4>
                                <pre>public&nbsp;POIXMLPropertiesTextExtractor(<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocument.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocument</a>&nbsp;doc)</pre>
                                <div class="block">Creates a new POIXMLPropertiesTextExtractor for the given open
                                    document.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>doc</code> - the given open document</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="POIXMLPropertiesTextExtractor-org.apache.poi.ooxml.extractor.POIXMLTextExtractor-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>POIXMLPropertiesTextExtractor</h4>
                                <pre>public&nbsp;POIXMLPropertiesTextExtractor(<a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                        title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a>&nbsp;otherExtractor)</pre>
                                <div class="block">Creates a new POIXMLPropertiesTextExtractor, for the
                                    same file that another TextExtractor is already
                                    working on.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>otherExtractor</code> - the extractor referencing the given file</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCorePropertiesText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCorePropertiesText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getCorePropertiesText()</pre>
                                <div class="block">Returns the core document properties, eg author</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the core document properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExtendedPropertiesText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExtendedPropertiesText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getExtendedPropertiesText()</pre>
                                <div class="block">Returns the extended document properties, eg application</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the extended document properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCustomPropertiesText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCustomPropertiesText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getCustomPropertiesText()</pre>
                                <div class="block">Returns the custom document properties, if there are any</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the custom document properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html#getText--">POITextExtractor</a></code></span>
                                </div>
                                <div class="block">Retrieves all the text from the document.
                                    How cells, paragraphs etc are separated in the text
                                    is implementation specific - see the javadocs for
                                    a specific project for details.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/extractor/POITextExtractor.html#getText--">getText</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                title="class in org.apache.poi.extractor">POITextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>All the text from the document</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMetadataTextExtractor--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getMetadataTextExtractor</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html"
                                        title="class in org.apache.poi.ooxml.extractor">POIXMLPropertiesTextExtractor</a>&nbsp;getMetadataTextExtractor()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getMetadataTextExtractor--">POIXMLTextExtractor</a></code></span>
                                </div>
                                <div class="block">Returns an OOXML properties text extractor for the
                                    document properties metadata, such as title and author.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                                title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the metadata and text extractor</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIXMLPropertiesTextExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html"
               title="class in org.apache.poi.ooxml.extractor"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
               title="class in org.apache.poi.ooxml.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="POIXMLPropertiesTextExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
